# Generated from convers_money-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name convers_money

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: Money conversor
License: MIT
URL: https://github.com/nelantone/convers_money
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.5
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec) >= 3.5
# BuildRequires: rubygem(guard) >= 2.14
# BuildRequires: rubygem(guard) < 3
# BuildRequires: rubygem(guard) >= 2.14
# BuildRequires: rubygem(guard-rspec) >= 4.6.0
# BuildRequires: rubygem(guard-rspec) < 4.7
# BuildRequires: rubygem(guard-rspec) >= 4.6.0
BuildArch: noarch

%description
ConversMoney it's a Money Conversor given by fixed currency and change rates
of your choice. 
From the version and further '1.0.1' it's a full working version.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/currency_convers_nobg.png
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/convers_money.gemspec

%changelog
* Mon Feb 07 2022 mockbuilder - 1.0.1-1
- Initial package
